summaryrefslogtreecommitdiffstats
path: root/source/a/file/file.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-03-16 23:34:56 +0000
committer Eric Hameleers <alien@slackware.com>2023-03-17 02:35:17 +0100
commit4ad66992c6edc532893fb7e4b205c3897830ab54 (patch)
tree80096d1158529fea48cb4acc94e6a883b5acc29f /source/a/file/file.SlackBuild
parentcb533ae89cb9383688cc5c4dd319d7fa2d77731c (diff)
downloadcurrent-4ad66992c6edc532893fb7e4b205c3897830ab54.tar.gz
current-4ad66992c6edc532893fb7e4b205c3897830ab54.tar.xz
Thu Mar 16 23:34:56 UTC 202320230316233456
a/cracklib-2.9.10-x86_64-1.txz: Upgraded. a/file-5.44-x86_64-2.txz: Rebuilt. Patched to mute debug messages. Thanks to Stuart Winter. n/bind-9.18.13-x86_64-1.txz: Upgraded. This is a bugfix release. n/openssh-9.3p1-x86_64-1.txz: Upgraded. This release contains fixes for a security problem and a memory safety problem. The memory safety problem is not believed to be exploitable, but we report most network-reachable memory faults as security bugs. For more information, see: https://www.openssh.com/txt/release-9.3 (* Security fix *) n/php-8.2.4-x86_64-1.txz: Upgraded. This is a bugfix release. xap/mozilla-thunderbird-102.9.0-x86_64-1.txz: Upgraded. This update contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/firefox/102.9.0/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2023-10 https://www.cve.org/CVERecord?id=CVE-2023-25751 https://www.cve.org/CVERecord?id=CVE-2023-28164 https://www.cve.org/CVERecord?id=CVE-2023-28162 https://www.cve.org/CVERecord?id=CVE-2023-25752 https://www.cve.org/CVERecord?id=CVE-2023-28163 https://www.cve.org/CVERecord?id=CVE-2023-28176 (* Security fix *)
Diffstat (limited to 'source/a/file/file.SlackBuild')
-rwxr-xr-xsource/a/file/file.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/source/a/file/file.SlackBuild b/source/a/file/file.SlackBuild
index d2870c5bd..d42a44f6a 100755
--- a/source/a/file/file.SlackBuild
+++ b/source/a/file/file.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=file
VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -100,6 +100,10 @@ zcat $CWD/file.crdaregbin.magic.gz >> magic/Magdir/crdaregbin
# Add some regression fixes from upstream:
# (none currently)
+# Quell this debug message: mozes@kitt $ file /lib/firmware/lgs8g75.fw
+#lhs/off overflow 4294967295 0
+#/lib/firmware/lgs8g75.fw: data
+xzcat $CWD/upstream.mute-debug-warning.patch.xz | patch --verbose -p1 || exit 1
# This is needed after the default data directory patch above:
autoreconf -vif || exit 1